// SoftBaugh data type definitions
//
// This module was developed at the expense of and remains the intellectual
// property of SoftBaugh, Inc.
//
// Purchasers of SoftBaugh products, including books, are granted a
// non-exclusive royalty-free license to use this file in their own
// development.  This file is provided AS-IS, with no support or guarantees
// for usefulness or suitability whatsoever.

// Include file for interesting new types
#ifndef SOFTBAUGH_TYPES_H
#define SOFTBAUGH_TYPES_H

#ifdef __IAR_SYSTEMS_ICC__
typedef unsigned char BYTE;
typedef BYTE* PBYTE;
typedef unsigned short WORD;
typedef WORD* PWORD;
typedef unsigned long DWORD;
typedef DWORD* PDWORD;
typedef unsigned long long QWORD;
typedef QWORD* PQWORD;
typedef unsigned short BOOL;
typedef BOOL* PBOOL;
typedef char* PSZ;
typedef char const * PCSZ;
#endif

#define	NULL	0
#define FALSE	0
#define TRUE	1

#ifdef __IAR_SYSTEMS_ICC__
#define LOBYTE( wIn )	((wIn)&0xFF)
#define HIBYTE( wIn )	(((wIn)>>8)&0xFF)
#define LOWORD( dwIn )	((dwIn)&0xFFFF)
#define HIWORD( dwIn )	(((dwIn)>>16)&0xFFFF)
#define MAKEWORD( byLo, byHi )	(((((WORD)(byHi))&0xFF)<<8)|((byLo)&0xFF))
#define MAKEDWORD( wLo, wHi )	(((((DWORD)(wHi))&0xFFFF)<<16)|((wLo)&0xFFFF))
#endif

#ifdef __IAR_SYSTEMS_ICC__
typedef void ( * PFN_STATE_VOID_VOID )( void );
#endif
// Example:
// void MyState( void );

#endif
