#ifndef TIMERB3_UART_H
#define TIMERB3_UART_H

#define NO_RX_AVAILABLE			0xFFFF

void TimerB3_UART_InitializeHW( void );
void TimerB3_UART_InitializeApp( void );

// Rx Queue Functions
WORD TimerB3_UART_GetCountInRxQueue( void );
WORD TimerB3_UART_GetNextRxValue( void );

// Tx Queue Functions
void TimerB3_UART_QueueTxChar( BYTE byTx );
void TimerB3_UART_QueueTxString( PSZ pszTxString );

#endif
