#ifndef UCA0_UART_H
#define UCA0_UART_H

#define NO_RX_AVAILABLE			0xFFFF

void UCA0_UART_InitializeHW( void );
void UCA0_UART_InitializeApp( void );

// Rx Queue Functions
WORD UCA0_UART_GetCountInRxQueue( void );
WORD UCA0_UART_GetNextRxValue( void );

// Tx Queue Functions
void UCA0_UART_QueueTxChar( BYTE byTx );
void UCA0_UART_QueueTxString( PSZ pszTxString );

#endif
