#ifndef SWITCHES_H
#define SWITCHES_H

#ifdef __IAR_SYSTEMS_ICC__
typedef void ( * PFN_SWITCH_EVENT_SINK_VOID_VOID )( void );
#endif
// Example:
// void MySwitchEventSink( void );

void Switches_InitializeHW( void );
void Switches_InitializeApp( void );

// Allow client modules to register event sinks with the switches module
// Pass NULL to unregister the event sink
void Switches_RegisterEventSinkSW1( PFN_SWITCH_EVENT_SINK_VOID_VOID pfnEventSink );
void Switches_RegisterEventSinkSW2( PFN_SWITCH_EVENT_SINK_VOID_VOID pfnEventSink );

#endif
